Skip to content

GET Secure Mesh site.

GET
/api/config/namespaces/{namespace}/securemesh_site_v2s/{name}
curl --request GET \
--url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/securemesh_site_v2s/example?response_format=GET_RSP_FORMAT_DEFAULT' \
--header 'Authorization: <Authorization>'

Shape of the Secure Mesh site specification.

Examples of this operation.

namespace
required
string

Namespace The namespace in which the configuration object is present.

name
required
string

Name The name of the configuration object to be fetched.

response_format
string
default: GET_RSP_FORMAT_DEFAULT
Allowed values: GET_RSP_FORMAT_DEFAULT GET_RSP_FORMAT_FOR_CREATE GET_RSP_FORMAT_FOR_REPLACE GET_RSP_FORMAT_STATUS GET_RSP_FORMAT_READ GET_RSP_FORMAT_REFERRING_OBJECTS GET_RSP_FORMAT_BROKEN_REFERENCES

The format in which the configuration object is to be fetched. This could be for example

  • in GetSpec form for the contents of object
  • in CreateRequest form to create a new similar object
  • to ReplaceRequest form to replace changeable values

Default format of returned resource Response should be in CreateRequest format Response should be in ReplaceRequest format Response should be in StatusObject(s) format Response should be in format of GetSpecType Response should have other objects referring to this object Response should have deleted and disabled objects referrred by this object.

A successful response.

Media typeapplication/json
GetResponse is the shape of a read securemesh_site_v2

This is the output message of the ‘GET’ RPC.

object
create_form
object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
active_enhanced_firewall_policies
object
enhanced_firewall_policies
Enhanced Firewall Policy

Ordered List of Enhanced Firewall Policies active

Required: YES.

Array<object>
>= 1 items <= 128 items
ObjectRefType

This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.

object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
active_forward_proxy_policies
object
forward_proxy_policies
Forward Proxy Policies

Ordered List of Forward Proxy Policies active

Required: YES.

Array<object>
>= 1 items <= 128 items
ObjectRefType

This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.

object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
admin_user_credentials
object
admin_password
object
blindfold_secret_info
object
decryption_provider
Decryption Provider

Name of the Secret Management Access object that contains information about the backend Secret Management service.

string
<= 1024 characters
location
Location

Location is the uri_ref. It could be in URL format for string:/// Or it could be a path if the store provider is an HTTP/HTTPS location Required: YES.

string
>= 4 characters <= 1024 characters
store_provider
Store Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
<= 1024 characters
clear_secret_info
object
provider
Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
>= 3 characters <= 1024 characters
url
URL

URL of the secret. Currently supported URL schemes is string:///. For string:/// scheme, Secret needs to be encoded Base64 format. When asked for this secret, caller will GET Secret bytes after Base64 decoding. Required: YES.

string format: uri
<= 131072 characters
blindfold_secret_info_internal
object
decryption_provider
Decryption Provider

Name of the Secret Management Access object that contains information about the backend Secret Management service.

string
<= 1024 characters
location
Location

Location is the uri_ref. It could be in URL format for string:/// Or it could be a path if the store provider is an HTTP/HTTPS location Required: YES.

string
>= 4 characters <= 1024 characters
store_provider
Store Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
<= 1024 characters
secret_encoding_type
string
default: EncodingNone
Allowed values: EncodingNone EncodingBase64
vault_secret_info
object
key
Key

X-displayName: “Key” Key of the individual secret. Vault Secrets are stored as key-value pair. If user is only interested in one value from the map, this field should be set to the corresponding key. If not provided entire secret will be returned.

string
>= 7 characters <= 1024 characters
location
Location

X-displayName: “Location” x-required Path to secret in Vault.

string
>= 4 characters <= 1024 characters
provider
Provider

X-displayName: “Provider” x-required Name of the Secret Management Access object that contains information about the backend Vault.

string
>= 3 characters <= 1024 characters
secret_encoding
string
default: EncodingNone
Allowed values: EncodingNone EncodingBase64
version
Version

X-displayName: “Version” Version of the secret to be fetched. As vault secrets are versioned, user can specify this field to fetch specific version. If not provided latest version will be returned.

integer format: int64
>= 1 characters <= 1 characters
wingman_secret_info
object
name
Name

X-displayName: “Name” x-required Name of the secret.

string
>= 6 characters <= 1024 characters
ssh_key
Public SSH key

Provided Public SSH key can be used for accessing nodes of the site. When provided, customers can SSH to the nodes of this Customer Edge site using admin as the user.

string
<= 8192 characters
aws
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
azure
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
baremetal
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
block_all_services
object
blocked_services
object
blocked_sevice
Disable Node Local Services

Blocking or denial configuration

Array<object>
Disable Node Local Service

Disable a node local service on this site.

object
dns
object
network_type
string
default: VIRTUAL_NETWORK_SITE_LOCAL
Allowed values: VIRTUAL_NETWORK_SITE_LOCAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE VIRTUAL_NETWORK_PER_SITE VIRTUAL_NETWORK_PUBLIC VIRTUAL_NETWORK_GLOBAL VIRTUAL_NETWORK_SITE_SERVICE VIRTUAL_NETWORK_VER_INTERNAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE_OUTSIDE VIRTUAL_NETWORK_IP_AUTO VIRTUAL_NETWORK_VOLTADN_PRIVATE_NETWORK VIRTUAL_NETWORK_SRV6_NETWORK VIRTUAL_NETWORK_IP_FABRIC VIRTUAL_NETWORK_SEGMENT VIRTUAL_NETWORK_MANAGEMENT
ssh
object
web_user_interface
object
custom_proxy
object
disable_re_tunnel
object
enable_re_tunnel
object
password
object
blindfold_secret_info
object
decryption_provider
Decryption Provider

Name of the Secret Management Access object that contains information about the backend Secret Management service.

string
<= 1024 characters
location
Location

Location is the uri_ref. It could be in URL format for string:/// Or it could be a path if the store provider is an HTTP/HTTPS location Required: YES.

string
>= 4 characters <= 1024 characters
store_provider
Store Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
<= 1024 characters
clear_secret_info
object
provider
Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
>= 3 characters <= 1024 characters
url
URL

URL of the secret. Currently supported URL schemes is string:///. For string:/// scheme, Secret needs to be encoded Base64 format. When asked for this secret, caller will GET Secret bytes after Base64 decoding. Required: YES.

string format: uri
<= 131072 characters
blindfold_secret_info_internal
object
decryption_provider
Decryption Provider

Name of the Secret Management Access object that contains information about the backend Secret Management service.

string
<= 1024 characters
location
Location

Location is the uri_ref. It could be in URL format for string:/// Or it could be a path if the store provider is an HTTP/HTTPS location Required: YES.

string
>= 4 characters <= 1024 characters
store_provider
Store Provider

Name of the Secret Management Access object that contains information about the store to GET encrypted bytes This field needs to be provided only if the URL scheme is not string:///.

string
<= 1024 characters
secret_encoding_type
string
default: EncodingNone
Allowed values: EncodingNone EncodingBase64
vault_secret_info
object
key
Key

X-displayName: “Key” Key of the individual secret. Vault Secrets are stored as key-value pair. If user is only interested in one value from the map, this field should be set to the corresponding key. If not provided entire secret will be returned.

string
>= 7 characters <= 1024 characters
location
Location

X-displayName: “Location” x-required Path to secret in Vault.

string
>= 4 characters <= 1024 characters
provider
Provider

X-displayName: “Provider” x-required Name of the Secret Management Access object that contains information about the backend Vault.

string
>= 3 characters <= 1024 characters
secret_encoding
string
default: EncodingNone
Allowed values: EncodingNone EncodingBase64
version
Version

X-displayName: “Version” Version of the secret to be fetched. As vault secrets are versioned, user can specify this field to fetch specific version. If not provided latest version will be returned.

integer format: int64
>= 1 characters <= 1 characters
wingman_secret_info
object
name
Name

X-displayName: “Name” x-required Name of the secret.

string
>= 6 characters <= 1024 characters
proxy_ip_address
Proxy IPv4 Address

Specify the IPv4 Address of the internal Enterprise Proxy Required: YES.

string
<= 1024 characters
proxy_port
Proxy Port

Specify the Port of the internal Enterprise Proxy Required: YES.

integer format: int64
username
Username

If the internal Enterprise Proxy is using basic authentication, specify the username. This is an optional field.

string
<= 1024 characters
custom_proxy_bypass
object
proxy_bypass
Proxy Bypass

List of domains to bypass the proxy.

Array<string>
<= 64 items
dc_cluster_group_sli
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
dc_cluster_group_slo
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
disable_ha
object
disable_url_categorization
object
dns_ntp_config
object
custom_dns
object
dns_servers
DNS Servers

DNS Servers.

Array<string>
<= 64 items
custom_ntp
object
ntp_servers
NTP Servers

NTP Servers.

Array<string>
<= 64 items
f5_dns_default
object
f5_ntp_default
object
enable_ha
object
enable_url_categorization
object
equinix
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
f5_proxy
object
gcp
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
kvm
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
load_balancing
object
vip_vrrp_mode
string
default: VIP_VRRP_INVALID
Allowed values: VIP_VRRP_INVALID VIP_VRRP_ENABLE VIP_VRRP_DISABLE
local_vrf
object
default_config
object
default_sli_config
object
sli_config
object
labels
Network labels

Add Labels for this network, these labels can be used in firewall policy.

object
nameserver
nameserver

Optional DNS V4 server IP to be used for name resolution.

string
<= 1024 characters
no_static_routes
object
no_v6_static_routes
object
static_routes
object
static_routes
static_routes

Required: YES.

Array<object>
>= 1 items <= 16 items
Static Route

Defines a static route, configuring a list of prefixes and a next-hop to be used for them.

object
attrs
Attributes

List of attributes that control forwarding, dynamic routing and control plane (host) reachability.

Array<string>
<= 4 items
Allowed values: ROUTE_ATTR_NO_OP ROUTE_ATTR_ADVERTISE ROUTE_ATTR_INSTALL_HOST ROUTE_ATTR_INSTALL_FORWARDING ROUTE_ATTR_MERGE_ONLY
default_gateway
object
ip_address
IP Address

Exclusive with [default_gateway node_interface] Traffic matching the IP prefixes is sent to this IP Address.

string
<= 1024 characters
ip_prefixes
IP Prefixes

List of route prefixes that have common next hop and attributes Required: YES.

Array<string>
>= 1 items <= 256 items
node_interface
object
list
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding networking_interface.

Array<object>
<= 8 items
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding tunnel transport interface.

object
interface
Interface

Interface reference on this node.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
node
Node

Node name on this site.

string
<= 1024 characters
static_v6_routes
object
static_routes
static_routes

List of IPv6 static routes

Required: YES.

Array<object>
>= 1 items <= 16 items
Static IPv6 Route

Defines a static route of IPv6 prefixes, configuring a list of prefixes and a next-hop to be used for them.

object
attrs
Attributes

List of attributes that control forwarding, dynamic routing and control plane (host) reachability.

Array<string>
<= 4 items
Allowed values: ROUTE_ATTR_NO_OP ROUTE_ATTR_ADVERTISE ROUTE_ATTR_INSTALL_HOST ROUTE_ATTR_INSTALL_FORWARDING ROUTE_ATTR_MERGE_ONLY
default_gateway
object
ip_address
IP Address

Exclusive with [default_gateway node_interface] Traffic matching the IP prefixes is sent to this IP Address.

string
<= 1024 characters
ip_prefixes
IPv6 Prefixes

List of IPv6 route prefixes that have common next hop and attributes Required: YES.

Array<string>
>= 1 items <= 256 items
node_interface
object
list
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding networking_interface.

Array<object>
<= 8 items
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding tunnel transport interface.

object
interface
Interface

Interface reference on this node.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
node
Node

Node name on this site.

string
<= 1024 characters
vip
Common V4 VIP

Optional common virtual V4 IP across all nodes to be used as automatic VIP.

string
<= 1024 characters
secondary_nameserver
secondary_nameserver

Optional Secondary IPv4 DNS server to be used for name resolution.

string
<= 1024 characters
slo_config
object
labels
Network labels

Add Labels for this network, these labels can be used in firewall policy.

object
nameserver
nameserver

Optional DNS V4 server IP to be used for name resolution.

string
<= 1024 characters
no_static_routes
object
no_v6_static_routes
object
static_routes
object
static_routes
static_routes

Required: YES.

Array<object>
>= 1 items <= 16 items
Static Route

Defines a static route, configuring a list of prefixes and a next-hop to be used for them.

object
attrs
Attributes

List of attributes that control forwarding, dynamic routing and control plane (host) reachability.

Array<string>
<= 4 items
Allowed values: ROUTE_ATTR_NO_OP ROUTE_ATTR_ADVERTISE ROUTE_ATTR_INSTALL_HOST ROUTE_ATTR_INSTALL_FORWARDING ROUTE_ATTR_MERGE_ONLY
default_gateway
object
ip_address
IP Address

Exclusive with [default_gateway node_interface] Traffic matching the IP prefixes is sent to this IP Address.

string
<= 1024 characters
ip_prefixes
IP Prefixes

List of route prefixes that have common next hop and attributes Required: YES.

Array<string>
>= 1 items <= 256 items
node_interface
object
list
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding networking_interface.

Array<object>
<= 8 items
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding tunnel transport interface.

object
interface
Interface

Interface reference on this node.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
node
Node

Node name on this site.

string
<= 1024 characters
static_v6_routes
object
static_routes
static_routes

List of IPv6 static routes

Required: YES.

Array<object>
>= 1 items <= 16 items
Static IPv6 Route

Defines a static route of IPv6 prefixes, configuring a list of prefixes and a next-hop to be used for them.

object
attrs
Attributes

List of attributes that control forwarding, dynamic routing and control plane (host) reachability.

Array<string>
<= 4 items
Allowed values: ROUTE_ATTR_NO_OP ROUTE_ATTR_ADVERTISE ROUTE_ATTR_INSTALL_HOST ROUTE_ATTR_INSTALL_FORWARDING ROUTE_ATTR_MERGE_ONLY
default_gateway
object
ip_address
IP Address

Exclusive with [default_gateway node_interface] Traffic matching the IP prefixes is sent to this IP Address.

string
<= 1024 characters
ip_prefixes
IPv6 Prefixes

List of IPv6 route prefixes that have common next hop and attributes Required: YES.

Array<string>
>= 1 items <= 256 items
node_interface
object
list
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding networking_interface.

Array<object>
<= 8 items
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding tunnel transport interface.

object
interface
Interface

Interface reference on this node.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
node
Node

Node name on this site.

string
<= 1024 characters
vip
Common V4 VIP

Optional common virtual V4 IP across all nodes to be used as automatic VIP.

string
<= 1024 characters
secondary_nameserver
secondary_nameserver

Optional Secondary IPv4 DNS server to be used for name resolution.

string
<= 1024 characters
log_receiver
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
logs_streaming_disabled
object
no_forward_proxy
object
no_network_policy
object
no_proxy_bypass
object
no_s2s_connectivity_sli
object
no_s2s_connectivity_slo
object
nutanix
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
oci
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
offline_survivability_mode
object
enable_offline_survivability_mode
object
no_offline_survivability_mode
object
openstack
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
performance_enhancement_mode
object
perf_mode_l3_enhanced
object
jumbo
object
no_jumbo
object
perf_mode_l7_enhanced
object
re_select
object
geo_proximity
object
specific_re
object
primary_re
Primary RE Geography

Select primary RE for this site.

string
>= 1 characters <= 64 characters
backup_re
Backup RE Geography

Select backup RE for this site, cannot be the same as Primary RE.

string
<= 1024 characters
site_mesh_group_on_slo
object
no_site_mesh_group
object
site_mesh_group
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
sm_connection_public_ip
object
sm_connection_pvt_ip
object
software_settings
object
os
object
default_os_version
object
operating_system_version
Operating System Version

Exclusive with [default_os_version] Specify a OS version to be used e.g. 9.2024.6.

string
<= 20 characters
sw
object
default_sw_version
object
volterra_software_version
F5XC Software Version

Exclusive with [default_sw_version] Specify a F5XC Software Version to be used e.g. Crt-20210329-1002.

string
<= 20 characters
tunnel_dead_timeout

Time interval, in millisec, within which any IPsec / SSL connection from the site going down is detected. When not set (== 0), a default value of 10000 msec will be used.

integer format: int64
tunnel_type
string
default: SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL
Allowed values: SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL SITE_TO_SITE_TUNNEL_IPSEC SITE_TO_SITE_TUNNEL_SSL
upgrade_settings
object
kubernetes_upgrade_drain
object
disable_upgrade_drain
object
enable_upgrade_drain
object
disable_vega_upgrade_mode
object
drain_max_unavailable_node_count
Node Batch Size Count

Exclusive with []

integer format: int64
drain_node_timeout
Upgrade Wait Time

Seconds to wait before initiating upgrade on the next set of nodes. Setting it to 0 will wait indefinitely for all services on nodes to be upgraded gracefully before proceeding to the next set of nodes. (Warning: It may block upgrade if services on a node cannot be gracefully upgraded. It is recommended to use the default value).

Required: YES.

integer format: int64
enable_vega_upgrade_mode
object
vmware
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
disable_management_network
object
enable_management_network
object
log_receiver_with_net
object
log_receiver
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
use_management_network
object
use_slo_sli
object
openshift_virtualization
object
not_managed
object
node_list
Nodes

This section will show nodes associated with this site. Note: For sites that are not orchestrated by F5XC, create nodes in the chosen provider. Once a node is created and registers with the site, it will be shown in this section.

Array<object>
<= 128 items
Node

Node definition.

object
hostname
Hostname

Hostname for this Node.

string
<= 256 characters
interface_list
Interfaces

Manage interfaces belonging to this node.

Array<object>
<= 128 items
Interface

Interface definition.

object
bond_interface
object
active_backup
object
devices
Member Ethernet Devices

Ethernet devices that will make up this bond Required: YES.

Array<string>
>= 1 items <= 8 items
lacp
object
rate
Interval

Interval in seconds to transmit LACP packets.

integer format: int64
link_polling_interval
Link Polling Interval

Link polling interval in milliseconds Required: YES.

integer format: int64
link_up_delay
Link Up Delay

Milliseconds wait before link is declared up Required: YES.

integer format: int64
name
Bond Device

Name for the Bond. Ex ‘bond0’ Required: YES.

string
>= 6 characters <= 64 characters
description
Interface Description

Description for this Interface.

string
>= 21 characters <= 256 characters
dhcp_client
object
ethernet_interface
object
device
Device

Select an Ethernet device from the discovered interfaces to configure. Once configured, this interface will be part of this sites dataplane and can participate in the networking services configured on this site. Required: YES.

string
>= 1 characters <= 64 characters
mac
Mac Address

Configuration parameter for mac

string
<= 1024 characters
ipv6_auto_config
object
host
object
router
object
dns_config
object
configured_list
object
dns_list
Dns List

List of IPv6 Addresses acting as DNS servers Required: YES.

Array<string>
>= 1 items <= 4 items
local_dns
object
configured_address
Configured Address

Exclusive with [first_address last_address] Configured address from the network prefix is chosen as DNS server.

string
<= 1024 characters
first_address
object
last_address
object
network_prefix
Prefix Info

Exclusive with [stateful] Nework prefix that is used as Prefix information Allowed only /64 prefix length as per RFC 4862.

string
<= 1024 characters
stateful
object
automatic_from_end
object
automatic_from_start
object
dhcp_networks
DHCP IPV6 Networks

List of networks from which DHCP server can allocate IP addresses

Required: YES.

Array<object>
>= 1 items <= 1 items
DHCPIPV6NetworkType

DHCP IPv6 network type configuration.

object
network_prefix
Network Prefix

Exclusive with [] Network Prefix to be used for IPv6 address auto configuration.

string
<= 1024 characters
pool_settings
string
default: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
Allowed values: INCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS EXCLUDE_IP_ADDRESSES_FROM_DHCP_POOLS
pools
DHCP pools

List of non overlapping IP address ranges.

Array<object>
<= 16 items
DHCP IPV6 Range

DHCP IPv6 pool is a range of IP addresses (start IP and end IP).

object
end_ip
End IP

Ending IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix.

string
<= 1024 characters
start_ip
Start IPV6

Starting IPv6 address of the pool range. In case of address allocator, offset is derived based on network prefix. 2001::1 with prefix length of 64, start offset is 5.

string
<= 1024 characters
fixed_ip_map
Fixed IPV6 Assignments

Fixed MAC address to IPv6 assignments, Key: MAC address, Value: IPv6 Address Assign fixed IPv6 addresses based on the MAC Address of the DHCP Client.

object
interface_ip_map
object
interface_ip_map
Site:Node to IPV6 mapping

Map of Site:Node to IPv6 address.

object
labels
Interface labels

Add Labels for this Interface, these labels can be used in firewall policy.

object
monitor
object
monitor_disabled
object
mtu
Maximum Packet Size (MTU)

Maximum packet size (Maximum Transfer Unit) of the interface When configured, MTU must be between 512 and 16384.

integer format: int64
name
Interface Name

Name of this Interface.

string
>= 6 characters <= 256 characters
network_option
object
site_local_inside_network
object
site_local_network
object
no_ipv4_address
object
no_ipv6_address
object
priority
Priority

For a node, if multiple interfaces are configured in a VRF, interfaces with highest priority will be used as active and interfaces with lower priority will be used as backup. If multiple interfaces have the same priority, ECMP will be used. Greater the value, higher the priority.

integer format: int64
site_to_site_connectivity_interface_disabled
object
site_to_site_connectivity_interface_enabled
object
static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
static_ipv6_address
object
cluster_static_ip
object
interface_ip_map
Site:Node to IP mapping

Map of Node to Static IP configuration value, Key:Node, Value:IP Address.

object
node_static_ip
object
default_gw
Default Gateway

IP address of the default gateway.

string
<= 1024 characters
ip_address
Default Gateway

IP address of the interface and prefix length Required: YES.

string
<= 1024 characters
vlan_interface
object
device
parent

Select a parent interface from the dropdown. Required: YES.

string
>= 1 characters <= 64 characters
vlan_id
VLAN Id

Configure the VLAN tag for this interface.

integer format: int64
>= 1 <= 4094
public_ip
Public IP

Public IP for this Node.

string
<= 256 characters
type
Type

Type for this Node, can be Control or Worker.

string
<= 1024 characters
segment_vrf

The Segment VRF is valid across all Sites of a Tenant. These are identified with a Segment name. Though these VRFs are across all Sites of a Tenant, there are some configurations that are valid per Site that can be configured here.

Array<object>
Segment VRF Settings

The Segment VRF is valid across all Sites of a Tenant. These are identified with a Segment name. Though these VRFs are across all Sites of a Tenant, there are some configurations that are valid per Site that can be configured here.

object
segment_config
object
nameserver
nameserver

X-displayName: “DNS V4 Server” Optional DNS V4 server IP to be used for name resolution.

string
<= 1024 characters
nameserver_v6
nameserver_v6

X-displayName: “DNS V6 Server” Optional DNS V6 server IP to be used for name resolution.

string
<= 1024 characters
no_static_routes
object
no_v6_static_routes
object
static_routes
object
static_routes
static_routes

Required: YES.

Array<object>
>= 1 items <= 16 items
Static Route

Defines a static route, configuring a list of prefixes and a next-hop to be used for them.

object
attrs
Attributes

List of attributes that control forwarding, dynamic routing and control plane (host) reachability.

Array<string>
<= 4 items
Allowed values: ROUTE_ATTR_NO_OP ROUTE_ATTR_ADVERTISE ROUTE_ATTR_INSTALL_HOST ROUTE_ATTR_INSTALL_FORWARDING ROUTE_ATTR_MERGE_ONLY
default_gateway
object
ip_address
IP Address

Exclusive with [default_gateway node_interface] Traffic matching the IP prefixes is sent to this IP Address.

string
<= 1024 characters
ip_prefixes
IP Prefixes

List of route prefixes that have common next hop and attributes Required: YES.

Array<string>
>= 1 items <= 256 items
node_interface
object
list
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding networking_interface.

Array<object>
<= 8 items
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding tunnel transport interface.

object
interface
Interface

Interface reference on this node.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
node
Node

Node name on this site.

string
<= 1024 characters
static_v6_routes
object
static_routes
static_routes

List of IPv6 static routes

Required: YES.

Array<object>
>= 1 items <= 16 items
Static IPv6 Route

Defines a static route of IPv6 prefixes, configuring a list of prefixes and a next-hop to be used for them.

object
attrs
Attributes

List of attributes that control forwarding, dynamic routing and control plane (host) reachability.

Array<string>
<= 4 items
Allowed values: ROUTE_ATTR_NO_OP ROUTE_ATTR_ADVERTISE ROUTE_ATTR_INSTALL_HOST ROUTE_ATTR_INSTALL_FORWARDING ROUTE_ATTR_MERGE_ONLY
default_gateway
object
ip_address
IP Address

Exclusive with [default_gateway node_interface] Traffic matching the IP prefixes is sent to this IP Address.

string
<= 1024 characters
ip_prefixes
IPv6 Prefixes

List of IPv6 route prefixes that have common next hop and attributes Required: YES.

Array<string>
>= 1 items <= 256 items
node_interface
object
list
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding networking_interface.

Array<object>
<= 8 items
NodeInterfaceInfo

On a multinode site, this list holds the nodes and corresponding tunnel transport interface.

object
interface
Interface

Interface reference on this node.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
node
Node

Node name on this site.

string
<= 1024 characters
secondary_nameserver
secondary_nameserver

Optional Secondary IPv4 DNS server to be used for name resolution.

string
<= 1024 characters
deleted_referred_objects
deleted_referred_objects

The set of deleted objects that are referred by this object.

Array<object>
ObjectRefType

[...]
